/*

Theme Name:   James Latham TNC

Description:  Custom child theme for James Latham - The Natural Choice

Author:       cyonagency.com

Author URI:   https://www.cyonagency.com/

Template:     twentytwentyfive

Version:      1.0.0

Text Domain:  James Latham TNC

*/

/* Site wide  */

html {
  scroll-behavior: smooth;
  font-size: 16px;
  interpolate-size: allow-keywords;
  scrollbar-gutter: stable;
}

@view-transition {
  navigation: auto;
}

*:focus:not(:focus-visible) {
  outline: none;
}

:where(.wp-site-blocks) > * {
  margin-block-start: 0rem !important;
  margin-block-end: 0;
}

.nav-logo-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 0;
  top: 0;
  height: 165px;
  width: 418px;
  transition: ease-in-out 0.25s;
}

.logo-text {
  position: absolute;
  height: 62px !important;
  width: 211px !important;
  top: 30px;
  transition: ease-in-out 0.25s;
}

.footer-text-link a {
  position: relative;
  text-decoration: none;
}

.footer-text-link a::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: currentColor;
  transform: scaleX(0);
  transform-origin: left center;
  transition: transform 0.3s ease;
}

.footer-text-link a:hover::after {
  transform: scaleX(1);
}

@keyframes spin {
  from {
    transform: rotate(90deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes spinRev {
  from {
    transform: rotate(180deg);
  }
  to {
    transform: rotate(0deg);
  }
}

.sidebar {
  position: sticky;
  top: 40px;
}

/* Siblings grid: cards without excerpts. */

.mi-also--siblings .mi-readtime {
  display: none;
}
.mi-also--siblings .mi-card__excerpt {
  display: none;
}

.mi-also--siblings .mi-card__title a {
  color: #ffffff !important;
}

.mi-also--siblings .mi-grid {
  display: grid;
  gap: 0px !important;
  grid-template-columns: 1fr;
  margin: 0;
  padding: 0;
  list-style: none;
}

.mi-also--siblings .mi-card p {
  margin: 0px;
}

#gform_submit_button_1.is-style-tertiary {
  background-color: #00a651 !important;
  border-radius: 100px;

  border-bottom: 1px solid var(--wp--preset--color--organic-clay);
  font-weight: bold;
}

#gform_submit_button_1.is-style-tertiary:hover {
  opacity: 0.5;
}

.wp-block-gallery.has-nested-images figure.wp-block-image img {
  display: block;
  height: auto;
  max-width: 100% !important;
  width: auto;
  border-radius: 10px 10px 50px 10px !important;
}

.wp-block-embed-youtube {
  border-radius: 10px;
  overflow: hidden;
  /* Forces Safari and mobile browsers to respect the radius */
  transform: translateZ(0);
}
.wp-block-embed-youtube iframe {
  border-radius: 10px;
}

.wp-site-blocks {
  background-image: url(images/tree-vector.svg);
  background-position: bottom right;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
